"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_bill_list_method = require("./method.js");
const INDEX_bill_list_model = require("./model.js");
const gen_Enums = require("../../../gen/Enums.js");
const common_libraries_userUserLogin = require("../../../common/libraries/userUserLogin.js");
const common_libraries_getPageConfig = require("../../../common/libraries/getPageConfig.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_collection2 = common_vendor.resolveComponent("hs-collection");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_hs_empty2 + _easycom_uni_icons2 + _easycom_hs_enum_tag2 + _easycom_hs_collection2 + _easycom_hs_button2)();
}
const _easycom_hs_empty = () => "../../../components/hs-empty/hs-empty.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_collection = () => "../../../components/hs-collection/hs-collection.js";
const _easycom_hs_button = () => "../../../components/hs-button/hs-button.js";
if (!Math) {
  (MyTabs + _easycom_hs_empty + _easycom_uni_icons + _easycom_hs_enum_tag + _easycom_hs_collection + _easycom_hs_button)();
}
const MyTabs = () => "../components/Tabs.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(async () => {
      var _a, _b, _c;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      if ((_b = common_libraries_userUserLogin.getUserLogin) == null ? void 0 : _b.getLoginStatus()) {
        INDEX_bill_list_model.useModel.items.value = [];
        (_c = INDEX_bill_list_method.method) == null ? void 0 : _c.handleGetList();
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(INDEX_bill_list_method.method)) == null ? void 0 : _a.hanldeSearch),
        b: !((_c = (_b = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _b.billsLength) == null ? void 0 : _c.value)
      }, !((_e = (_d = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _d.billsLength) == null ? void 0 : _e.value) ? {
        c: common_vendor.p({
          baseStyle: {
            height: "10vh",
            padding: "5% 0 10% 0"
          },
          text: "无账单"
        })
      } : {}, {
        d: common_vendor.f((_g = (_f = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _f.items) == null ? void 0 : _g.value, (i, index, i0) => {
          var _a2, _b2, _c2, _d2, _e2, _f2, _g2, _h2, _i2, _j2;
          return common_vendor.e({
            a: (_a2 = i == null ? void 0 : i.bills) == null ? void 0 : _a2.length
          }, ((_b2 = i == null ? void 0 : i.bills) == null ? void 0 : _b2.length) ? {
            b: common_vendor.t(i == null ? void 0 : i.house_name),
            c: common_vendor.f(i == null ? void 0 : i.bills, (k, idx, i1) => {
              var _a3, _b3, _c3, _d3, _e3, _f3, _g3, _h3, _i3, _j3, _k2, _l2, _m2, _n2, _o, _p;
              return common_vendor.e(((_d3 = (_c3 = (_b3 = (_a3 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _a3.formData) == null ? void 0 : _b3.value) == null ? void 0 : _c3.bill_status) == null ? void 0 : _d3.includes("PendingPayment")) || ((_h3 = (_g3 = (_f3 = (_e3 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _e3.formData) == null ? void 0 : _f3.value) == null ? void 0 : _g3.bill_status) == null ? void 0 : _h3.includes("Overdue")) ? common_vendor.e({
                a: k == null ? void 0 : k.checked
              }, (k == null ? void 0 : k.checked) ? {
                b: "4cd12ba6-2-" + i0 + "-" + i1,
                c: common_vendor.p({
                  type: "checkbox-filled",
                  size: "20",
                  color: common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()
                })
              } : {
                d: "4cd12ba6-3-" + i0 + "-" + i1,
                e: common_vendor.p({
                  type: "circle",
                  size: "20",
                  color: "#888"
                })
              }) : {}, {
                f: common_vendor.t((k == null ? void 0 : k.month_name) || ""),
                g: common_vendor.o(($event) => {
                  var _a4;
                  return (_a4 = common_vendor.unref(INDEX_bill_list_method.method)) == null ? void 0 : _a4.handleCollapseAllCheckedBtn(index, idx, k);
                }, `find_${index}_${idx}`),
                h: common_vendor.t((k == null ? void 0 : k.amount) || "0.00"),
                i: "4cd12ba6-4-" + i0 + "-" + i1,
                j: common_vendor.o(($event) => {
                  var _a4;
                  return (_a4 = common_vendor.unref(INDEX_bill_list_method.method)) == null ? void 0 : _a4.handleCollapseClick(index, idx, k);
                }, `find_${index}_${idx}`),
                k: k == null ? void 0 : k.show
              }, (k == null ? void 0 : k.show) ? {
                l: common_vendor.f(k == null ? void 0 : k.details, (i2, indexs, i22) => {
                  var _a4, _b4, _c4, _d4, _e4, _f4, _g4, _h4;
                  return common_vendor.e(((_d4 = (_c4 = (_b4 = (_a4 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _a4.formData) == null ? void 0 : _b4.value) == null ? void 0 : _c4.bill_status) == null ? void 0 : _d4.includes("PendingPayment")) || ((_h4 = (_g4 = (_f4 = (_e4 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _e4.formData) == null ? void 0 : _f4.value) == null ? void 0 : _g4.bill_status) == null ? void 0 : _h4.includes("Overdue")) ? common_vendor.e({
                    a: i2 == null ? void 0 : i2.checked
                  }, (i2 == null ? void 0 : i2.checked) ? {
                    b: "4cd12ba6-5-" + i0 + "-" + i1 + "-" + i22,
                    c: common_vendor.p({
                      type: "checkbox-filled",
                      size: "20",
                      color: common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()
                    })
                  } : {
                    d: "4cd12ba6-6-" + i0 + "-" + i1 + "-" + i22,
                    e: common_vendor.p({
                      type: "circle",
                      size: "20",
                      color: "#888"
                    })
                  }) : {}, {
                    f: "4cd12ba6-7-" + i0 + "-" + i1 + "-" + i22,
                    g: common_vendor.p({
                      Enums: common_vendor.unref(gen_Enums.HouseBillsTypeEnum),
                      value: i2 == null ? void 0 : i2.type,
                      objStyle: {
                        color: "#555",
                        fontSize: "28rpx"
                      }
                    }),
                    h: common_vendor.t((i2 == null ? void 0 : i2.total_payable_amount) || "-"),
                    i: `ks_${index}_${idx}_${indexs}`,
                    j: common_vendor.o(($event) => {
                      var _a5;
                      return (_a5 = common_vendor.unref(INDEX_bill_list_method.method)) == null ? void 0 : _a5.handleCalculatePrice(index, idx, indexs, i2);
                    }, `ks_${index}_${idx}_${indexs}`)
                  });
                }),
                m: ((_l2 = (_k2 = (_j3 = (_i3 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _i3.formData) == null ? void 0 : _j3.value) == null ? void 0 : _k2.bill_status) == null ? void 0 : _l2.includes("PendingPayment")) || ((_p = (_o = (_n2 = (_m2 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _m2.formData) == null ? void 0 : _n2.value) == null ? void 0 : _o.bill_status) == null ? void 0 : _p.includes("Overdue"))
              } : {}, {
                n: `find_${index}_${idx}`
              });
            }),
            d: ((_f2 = (_e2 = (_d2 = (_c2 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _c2.formData) == null ? void 0 : _d2.value) == null ? void 0 : _e2.bill_status) == null ? void 0 : _f2.includes("PendingPayment")) || ((_j2 = (_i2 = (_h2 = (_g2 = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _g2.formData) == null ? void 0 : _h2.value) == null ? void 0 : _i2.bill_status) == null ? void 0 : _j2.includes("Overdue")),
            e: common_vendor.p({
              type: "down",
              size: "15",
              color: "#999"
            })
          } : {}, {
            f: `items_${index}`
          });
        }),
        e: !((_i = (_h = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _h.currentTabs) == null ? void 0 : _i.value)
      }, !((_k = (_j = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _j.currentTabs) == null ? void 0 : _k.value) ? {
        f: common_vendor.t(((_m = (_l = common_vendor.unref(INDEX_bill_list_model.useModel)) == null ? void 0 : _l.total_amount) == null ? void 0 : _m.value) || "0.00"),
        g: common_vendor.o((_n = common_vendor.unref(INDEX_bill_list_method.method)) == null ? void 0 : _n.handleSubmitOrder),
        h: common_vendor.p({
          label: "立即支付",
          size: "md"
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/bill/list/index.vue"]]);
wx.createPage(MiniProgramPage);
